Loading...
Searching...
No Matches
BALL::HashGrid3< Item >::BoxIteratorTraits Class Reference

`#include <BALL/DATATYPE/hashGrid.h>`

## Public Member Functions

virtual | ~BoxIteratorTraits ()
| BoxIteratorTraits ()
| BoxIteratorTraits (const HashGrid3 &grid)
| BoxIteratorTraits (const BoxIteratorTraits &traits, bool=true)
const BoxIteratorTraits & | operator= (const BoxIteratorTraits &traits)
HashGrid3 * | getContainer ()
const HashGrid3 * | getContainer () const
bool | isSingular () const
BoxIteratorPosition & | getPosition ()
const BoxIteratorPosition & | getPosition () const
bool | operator== (const BoxIteratorTraits &traits) const
bool | operator!= (const BoxIteratorTraits &traits) const
bool | isValid () const
void | invalidate ()
void | toBegin ()
bool | isBegin () const
void | toEnd ()
bool | isEnd () const
HashGridBox3< Item > & | getData ()
const HashGridBox3< Item > & | getData () const
void | forward ()

## Detailed Description

template<typename Item>
class BALL::HashGrid3< Item >::BoxIteratorTraits

Definition at line 980 of file hashGrid.h.

## Constructor & Destructor Documentation

## ~BoxIteratorTraits()

template<typename Item>

virtual BALL::HashGrid3< Item >::BoxIteratorTraits::~BoxIteratorTraits | ( |  | ) |

inline virtual

Definition at line 986 of file hashGrid.h.

## BoxIteratorTraits() [1/3]

template<typename Item>

BALL::HashGrid3< Item >::BoxIteratorTraits::BoxIteratorTraits | ( |  | ) |

inline

Definition at line 988 of file hashGrid.h.

## BoxIteratorTraits() [2/3]

template<typename Item>

BALL::HashGrid3< Item >::BoxIteratorTraits::BoxIteratorTraits | ( | const HashGrid3 & | grid | ) |

inline

Definition at line 994 of file hashGrid.h.

## BoxIteratorTraits() [3/3]

template<typename Item>

BALL::HashGrid3< Item >::BoxIteratorTraits::BoxIteratorTraits | ( | const BoxIteratorTraits & | traits,
|  | bool | = true )

inline

Definition at line 1000 of file hashGrid.h.

## Member Function Documentation

## forward()

template<typename Item>

void BALL::HashGrid3< Item >::BoxIteratorTraits::forward | ( |  | ) |

inline

Definition at line 1089 of file hashGrid.h.

## getContainer() [1/2]

template<typename Item>

HashGrid3 * BALL::HashGrid3< Item >::BoxIteratorTraits::getContainer | ( |  | ) |

inline

Definition at line 1013 of file hashGrid.h.

## getContainer() [2/2]

template<typename Item>

const HashGrid3 * BALL::HashGrid3< Item >::BoxIteratorTraits::getContainer | ( |  | ) | const

inline

Definition at line 1018 of file hashGrid.h.

## getData() [1/2]

template<typename Item>

HashGridBox3< Item > & BALL::HashGrid3< Item >::BoxIteratorTraits::getData | ( |  | ) |

inline

Definition at line 1079 of file hashGrid.h.

## getData() [2/2]

template<typename Item>

const HashGridBox3< Item > & BALL::HashGrid3< Item >::BoxIteratorTraits::getData | ( |  | ) | const

inline

Definition at line 1084 of file hashGrid.h.

## getPosition() [1/2]

template<typename Item>

BoxIteratorPosition & BALL::HashGrid3< Item >::BoxIteratorTraits::getPosition | ( |  | ) |

inline

Definition at line 1028 of file hashGrid.h.

## getPosition() [2/2]

template<typename Item>

const BoxIteratorPosition & BALL::HashGrid3< Item >::BoxIteratorTraits::getPosition | ( |  | ) | const

inline

Definition at line 1033 of file hashGrid.h.

## invalidate()

template<typename Item>

void BALL::HashGrid3< Item >::BoxIteratorTraits::invalidate | ( |  | ) |

inline

Definition at line 1053 of file hashGrid.h.

## isBegin()

template<typename Item>

bool BALL::HashGrid3< Item >::BoxIteratorTraits::isBegin | ( |  | ) | const

inline

Definition at line 1064 of file hashGrid.h.

## isEnd()

template<typename Item>

bool BALL::HashGrid3< Item >::BoxIteratorTraits::isEnd | ( |  | ) | const

inline

Definition at line 1074 of file hashGrid.h.

## isSingular()

template<typename Item>

bool BALL::HashGrid3< Item >::BoxIteratorTraits::isSingular | ( |  | ) | const

inline

Definition at line 1023 of file hashGrid.h.

## isValid()

template<typename Item>

bool BALL::HashGrid3< Item >::BoxIteratorTraits::isValid | ( |  | ) | const

inline

Definition at line 1048 of file hashGrid.h.

## operator!=()

template<typename Item>

bool BALL::HashGrid3< Item >::BoxIteratorTraits::operator!= | ( | const BoxIteratorTraits & | traits | ) | const

inline

Definition at line 1043 of file hashGrid.h.

## operator=()

template<typename Item>

const BoxIteratorTraits & BALL::HashGrid3< Item >::BoxIteratorTraits::operator= | ( | const BoxIteratorTraits & | traits | ) |

inline

Definition at line 1006 of file hashGrid.h.

## operator==()

template<typename Item>

bool BALL::HashGrid3< Item >::BoxIteratorTraits::operator== | ( | const BoxIteratorTraits & | traits | ) | const

inline

Definition at line 1038 of file hashGrid.h.

## toBegin()

template<typename Item>

void BALL::HashGrid3< Item >::BoxIteratorTraits::toBegin | ( |  | ) |

inline

Definition at line 1059 of file hashGrid.h.

## toEnd()

template<typename Item>

void BALL::HashGrid3< Item >::BoxIteratorTraits::toEnd | ( |  | ) |

inline

Definition at line 1069 of file hashGrid.h.